Skip to main content
GET
/
notifications
List notifications
curl --request GET \
  --url https://int-data.moneydesktop.com/notifications \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "notifications": [
    {
      "created_on": "2022-04-01T12:58:08.000Z",
      "deep_link_guid": "BGT-e386a323-e452-47f2-b2fd-1ac3c18533de",
      "entity_guid": "BGT-e386a323-e452-47f2-b2fd-1ac3c18533de",
      "guid": "TF-b53294f5-2356-4782-9f81-ae064c42b40a",
      "has_been_viewed": false,
      "notification_type": 2,
      "notification_type_name": "BUDGET_OFF_TARGET",
      "subject": "You're projected to spend $1,920.07 more than you've budgeted for Fees & Charges. You've already spent $65.67 of $316.00.",
      "threshold": null
    }
  ]
}
List all notifications.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Query Parameters

from_date
string

Return transactions starting from this day. Defaults to 120 days ago if not provided. Format should be ISO 8601 format (2013-05-28).

to_date
string

Return transactions ending with this day. Defaults to 5 days forward from the day the request is made so as to capture pending transactions. Format should be ISO 8601 format (2013-05-28).

page
string

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

records_per_age
string

The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

Response

200 - application/vnd.mx.nexus.v1+json

OK

notifications
object[]